---
# yaml-language-server: $schema=https://schema.blue-build.org/module-list-v1.json
modules:
  - type: dnf
    repos:
      cleanup: true
      files:
        - https://pkgs.tailscale.com/stable/fedora/tailscale.repo
        - https://brave-browser-rpm-release.s3.brave.com/brave-browser.repo
        - fury.repo
      keys:
        - https://brave-browser-rpm-release.s3.brave.com/brave-core.asc
    install:
      packages:
        - borgbackup
        - vorta
        - libadwaita
        - cronie
        - plasma-browser-integration
        - id3v2
        - xinput
        - ripgrep
        - tailscale
        - strawberry
        - xclip
        - bat
        - brave-browser
        - syncthing
        - fish
        - cabextract
        - xorg-x11-font-utils
        - fontconfig
        - nu
        - util-linux
        - carapace-bin
        - https://downloads.sourceforge.net/project/mscorefonts2/rpms/msttcore-fonts-installer-2.6-1.noarch.rpm
        - libreoffice
        - https://github.com/balena-io/etcher/releases/download/v2.1.0/balena-etcher-2.1.0-1.x86_64.rpm
  - type: script
    scripts:
      - install-bitwarden.nu
